Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename lcov-parse
%global enable_tests 1

Name:		nodejs-lcov-parse
Version:	0.0.10
Release:	alt1_8
Summary:	Parse lcov results files and return JSON

License:	BSD
URL:		https://github.com/davglass/lcov-parse.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository. Unfortunately, no releases have been tagged in
# GitHub, so the tests tarball has to be created manually from 'master'
# instead
Source1:        tests-%{version}.tar.bz2
Source10:       dl-tests.sh

BuildArch:	noarch

%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif


BuildRequires:	rpm-build-nodejs node-devel
%if 0%{?enable_tests}
BuildRequires:	npm(vows)
%endif
Source44: import.info

%description
Parse lcov results files and return JSON


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package




%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{_bindir}/vows --spec ./tests/*.js
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 0.0.10-alt1_8
- new version

